Developers

Create a user

Create a user inside the organization identified by the Bearer token.

POST/users/

Create a user inside the organization identified by the Bearer token.

All fields are optional at creation time. firstName, lastName, and phoneNumber are required before appointment booking. When provided, dateOfBirth must represent an age from 18 through 120. This operation requires an organization Bearer token.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

Idempotency-Key?string

Unique key for safely retrying this mutation for 24 hours. Reuse the same key only with the same request payload.

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for a user in your organization. All fields are optional at creation time. firstName, lastName, and phoneNumber are required later for appointment booking. When provided, dateOfBirth must represent an age from 18 through 120.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/users/" \  -H "Content-Type: application/json" \  -d '{}'
{  "code": "success",  "message": "Request successful",  "data": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "firstName": "string",    "lastName": "string",    "dateOfBirth": "2019-08-24",    "email": "string",    "phoneNumber": "string",    "sex": "male"  }}